add_subdirectory(apBoolean)
add_subdirectory(apChaosMosaic)
add_subdirectory(apCurveSample)
# add_subdirectory(apClosure)
add_subdirectory(apEntrySwitch)
add_subdirectory(apGrayBall)
# add_subdirectory(apHairBSDF)
add_subdirectory(apInteriorMapping)
# add_subdirectory(apMetalBSDF)
# add_subdirectory(apMicrofacetBSDF)
# add_subdirectory(apMicrofacetRefractionBSDF)
# add_subdirectory(apOrenNayerBSDF)
add_subdirectory(apParallaxMap)
add_subdirectory(apSurfaceSample)
add_subdirectory(apUvRange)
add_subdirectory(apCrossBlend)
add_subdirectory(apTextureRandom)